# enable – Switch to elevated permissions on a network device

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Status

## Synopsis

- This become plugins allows elevated permissions on a remote network device.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
become_pass - |  | ini entries: [enable_become_plugin] password = VALUE env:ANSIBLE_BECOME_PASS env:ANSIBLE_ENABLE_PASS var: ansible_become_password var: ansible_become_pass var: ansible_enable_pass | password

## Notes

Note

- enable is really implemented in the network connection handler and as such can only be used with network connections.

- This plugin ignores the ‘become_exe’ and ‘become_user’ settings as it uses an API and not an executable.

## Status

- This become is not guaranteed to have a backwards compatible interface. [preview]

- This become is maintained by the Ansible Community. [community]

### Authors

- ansible (@core)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.